Upstream information

CVE-2017-1000469 at MITRE

Description

Cobbler version up to 2.8.2 is vulnerable to a command injection vulnerability in the "add repo" component resulting in arbitrary code execution as root user.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 6.3
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1074594 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • cobbler >= 2.6.6-49.9.1
Patchnames:
HPE-Helion-OpenStack-8-2018-1177
Redhat Expanded Support 6-CLIENT-TOOLS
  • cobbler >= 2.2.2-0.71.1
  • koan >= 2.2.2-0.71.1
Patchnames:
res6ct-cobbler-13760
Redhat Expanded Support 7-CLIENT-TOOLS
  • cobbler >= 2.6.6-41.1
  • koan >= 2.6.6-41.1
Patchnames:
suse-res7ct-cobbler-13759
SUSE Linux Enterprise Server 11 SP3-CLIENT-TOOLS
SUSE Linux Enterprise Server for SAP Applications 11 SP3-CLIENT-TOOLS
  • cobbler >= 2.2.2-0.68.3.1
  • koan >= 2.2.2-0.68.3.1
Patchnames:
slesctsp3-cobbler-13659
SUSE Linux Enterprise Server 11 SP4-CLIENT-TOOLS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-CLIENT-TOOLS
  • cobbler >= 2.2.2-0.68.3.1
  • koan >= 2.2.2-0.68.3.1
Patchnames:
slesctsp4-cobbler-13659
SUSE Manager Server 3.0
  • cobbler >= 2.6.6-49.9.1
Patchnames:
SUSE-SUSE-Manager-Server-3.0-2018-1177
SUSE Manager Server 3.1
  • cobbler >= 2.6.6-5.10.4
  • google-gson >= 2.8.2-3.3.6
  • patterns-suma_server >= 3.1-3.3.2
  • patterns-suse-manager >= 3.1-3.3.2
  • prometheus-client-java >= 0.3.0-1.3.5
  • py26-compat-salt >= 2016.11.4-1.7.2
  • salt-netapi-client >= 0.14.0-3.9.5
  • spacewalk-backend >= 2.7.73.13-2.19.5
  • spacewalk-backend-app >= 2.7.73.13-2.19.5
  • spacewalk-backend-applet >= 2.7.73.13-2.19.5
  • spacewalk-backend-config-files >= 2.7.73.13-2.19.5
  • spacewalk-backend-config-files-common >= 2.7.73.13-2.19.5
  • spacewalk-backend-config-files-tool >= 2.7.73.13-2.19.5
  • spacewalk-backend-iss >= 2.7.73.13-2.19.5
  • spacewalk-backend-iss-export >= 2.7.73.13-2.19.5
  • spacewalk-backend-libs >= 2.7.73.13-2.19.5
  • spacewalk-backend-package-push-server >= 2.7.73.13-2.19.5
  • spacewalk-backend-server >= 2.7.73.13-2.19.5
  • spacewalk-backend-sql >= 2.7.73.13-2.19.5
  • spacewalk-backend-sql-oracle >= 2.7.73.13-2.19.5
  • spacewalk-backend-sql-postgresql >= 2.7.73.13-2.19.5
  • spacewalk-backend-tools >= 2.7.73.13-2.19.5
  • spacewalk-backend-xml-export-libs >= 2.7.73.13-2.19.5
  • spacewalk-backend-xmlrpc >= 2.7.73.13-2.19.5
  • spacewalk-base >= 2.7.1.16-2.19.5
  • spacewalk-base-minimal >= 2.7.1.16-2.19.5
  • spacewalk-base-minimal-config >= 2.7.1.16-2.19.5
  • spacewalk-branding >= 2.7.2.13-2.19.5
  • spacewalk-certs-tools >= 2.7.0.10-2.12.4
  • spacewalk-html >= 2.7.1.16-2.19.5
  • spacewalk-java >= 2.7.46.14-2.25.1
  • spacewalk-java-config >= 2.7.46.14-2.25.1
  • spacewalk-java-lib >= 2.7.46.14-2.25.1
  • spacewalk-java-oracle >= 2.7.46.14-2.25.1
  • spacewalk-java-postgresql >= 2.7.46.14-2.25.1
  • spacewalk-taskomatic >= 2.7.46.14-2.25.1
  • spacewalk-utils >= 2.7.10.7-2.10.4
  • spacewalk-web >= 2.7.1.16-2.19.5
  • susemanager >= 3.1.14-2.19.5
  • susemanager-advanced-topics_en-pdf >= 3.1-10.20.7
  • susemanager-best-practices_en-pdf >= 3.1-10.20.7
  • susemanager-docs_en >= 3.1-10.20.7
  • susemanager-frontend-libs >= 3.1.1-3.3.2
  • susemanager-getting-started_en-pdf >= 3.1-10.20.7
  • susemanager-jsp_en >= 3.1-10.20.7
  • susemanager-reference_en-pdf >= 3.1-10.20.7
  • susemanager-schema >= 3.1.17-2.23.3
  • susemanager-sls >= 3.1.17-2.23.2
  • susemanager-sync-data >= 3.1.14-2.23.2
  • susemanager-tftpsync >= 3.1.3-3.6.2
  • susemanager-tools >= 3.1.14-2.19.5
Patchnames:
SUSE-SUSE-Manager-Server-3.1-2018-1174
SUSE Manager Tools 12
  • cobbler >= 2.6.6-49.9.1
  • koan >= 2.6.6-49.9.1
Patchnames:
SUSE-SLE-Manager-Tools-12-2018-1177
SUSE OpenStack Cloud 8
  • cobbler >= 2.6.6-49.9.1
Patchnames:
SUSE-OpenStack-Cloud-8-2018-1177
openSUSE Leap 42.3
  • cobbler >= 2.6.6-14.1
  • cobbler-tests >= 2.6.6-14.1
  • cobbler-web >= 2.6.6-14.1
  • koan >= 2.6.6-14.1
Patchnames:
openSUSE-2018-655


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 cobbler Released
SUSE Manager Server cobbler Released
SUSE Manager Tools cobbler Released
SUSE OpenStack Cloud 8 cobbler Released